.content-wysiwyg ol,.content-wysiwyg ul {
	padding-left: 1.5rem;
	list-style-position: outside;
}

body {
	min-height: 100%;
}

@media (pointer:coarse) {
	#carousel-next,#left-btn,#right-btn,ac #carousel-prev {
		display: none;
	}
}

.scrollbar-hide::-webkit-scrollbar {
	display: none;
}

.scrollbar-hide {
	-ms-overflow-style: none;
	scrollbar-width: none;
}

html {
	scroll-behavior: smooth;
}

.content-wysiwyg {
	line-height: 1.6;
	font-size: 1rem;
	color: oklch(var(--bc));
}

.content-wysiwyg h1,.content-wysiwyg h2,.content-wysiwyg h3,.content-wysiwyg h4 {
	font-weight: 600;
	margin-top: 1.5em;
	margin-bottom: .5em;
	color: var(--n);
}

.content-wysiwyg h2 {
	font-size: 1.7rem;
}

.content-wysiwyg strong {
	font-weight: 600;
}

.content-wysiwyg h3 {
	font-size: 1.2rem;
}

.content-wysiwyg p {
	margin-bottom: 1em;
	font-size: 1.1rem;
}

.content-wysiwyg a {
	color: oklch(var(--p));
	font-weight: 600;
	text-decoration: underline;
	transition: color .2s;
}

.content-wysiwyg a:hover {
	color: oklch(var(--bc));
	text-decoration: underline;
}

.content-wysiwyg ul {
	list-style-type: disc;
	margin-bottom: 1em;
	font-size: 1.1rem;
}

.content-wysiwyg ol {
	list-style-type: decimal;
	margin-bottom: 1em;
	font-size: 1.1rem;
}

.content-wysiwyg img {
	max-width: 100%;
	height: auto;
	border-radius: .5rem;
	margin: 1em 0;
	box-shadow: 0 4px 6px rgb(0 0 0 / .1);
	display: block;
}

.content-wysiwyg table {
	width: 100%;
	border-collapse: collapse;
	margin-bottom: 1em;
	border: 1px solid var(--n);
}

.content-wysiwyg td,.content-wysiwyg th {
	border: 1px solid var(--n);
	padding: .75rem 1rem;
	text-align: left;
	color: var(--bf);
}

.content-wysiwyg blockquote {
	border-left: 4px solid oklch(var(--p));
	padding-left: 1rem;
	color: var(--nf);
	font-style: italic;
	margin: 1em 0;
}

@media (max-width:639px) {
	.carousel-btn {
		display: none!important;
	}

	.content-wysiwyg p {
		margin-bottom: 1em;
		font-size: 1rem;
	}

	.content-wysiwyg h3 {
		font-size: 1rem;
	}

	.content-wysiwyg h2 {
		font-size: 1.2rem;
	}

	.content-wysiwyg ul {
		font-size: 1rem;
	}

	.content-wysiwyg ol {
		font-size: 1rem;
	}
}

@media (max-width:768px) {
	.ad-container {
		height: 300px;
	}
}
.ad-div {
    text-align: center; /* For inline ads (img, iframe, etc.) */
}

.ad-div > div,
.ad-div > iframe,
.ad-div > img {
    display: inline-block; /* Makes them center inside the parent */
    margin: 0 auto;
}

.bg-base-100 {
	background-color: oklch(var(--p);
}

.text-base-content {
	color: oklch(var(--bc));
}

.text-xl {
	font-size: 1.25rem;
}

.font-bold {
	font-weight: 700;
}

.btn-primary {
	background-color: oklch(var(--p);
	color: #fff;
	padding: .5rem 1rem;
	border-radius: .25rem;
}

img {
	max-width: 100%;
	height: auto;
}
